package web.filter;

import commons.Constants;
import projo.Users;

import javax.servlet.*;
import javax.servlet.annotation.WebFilter;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import java.io.IOException;
import java.util.logging.LogRecord;

@WebFilter(urlPatterns = {"*.do","*.jsp"})
public class UserLoginFIlter implements Filter {

    @Override
    public void init(FilterConfig filterConfig) throws ServletException {

    }

    @Override
    public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException {
        HttpServletRequest request=(HttpServletRequest)servletRequest;
        String uri=request.getRequestURI();
        //判断当前请求的是否为login.jsp或者login.do，如果请求的是用户登陆的资源就放行
        if(uri.indexOf("login.jsp")!=-1||uri.indexOf("login.do")!=-1||uri.indexOf("validateCode.do")!=-1){
            //将请求转发给下一个过滤器filter
            filterChain.doFilter(servletRequest,servletResponse);

        }else {
            HttpSession session=request.getSession();
            Users users=(Users)session.getAttribute(Constants.User_Session_Key);
            if(users!=null){
                filterChain.doFilter(servletRequest,servletResponse);;

            }else {
                request.setAttribute(Constants.Rqeuest_Msg,"不登录不好使");
                request.getRequestDispatcher("login.jsp").forward(servletRequest,servletResponse);
            }
        }

    }

    @Override
    public void destroy() {

    }
}
