package web.servlet;

import dao.impl.UserManagerService;
import dao.impl.UserMangerServiceImpl;
import projo.Users;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

@WebServlet("/um.do")
public class UserMangerServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        super.doGet(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String flag=req.getParameter("flag");
        if("addUser".equals(flag)){
            this.addUser(req,resp);
        }else if("findUser".equals(flag)){
            this.findUser(req,resp);
        }
    }
    public void addUser(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException{
        Users users=this.createUsers(req);
        try{
            UserManagerService userManagerService =  new UserMangerServiceImpl();
            userManagerService.addUser(users);
            resp.sendRedirect("ok.jsp");

        }
        catch (Exception e){
            e.printStackTrace();
            resp.sendRedirect("error.jsp");
        }
    }
    private Users createUsers(HttpServletRequest req){
        String username = req.getParameter("username");
        String userpwd = req.getParameter("userpwd");
        String usersex = req.getParameter("usersex");
        String phonenumber = req.getParameter("phonenumber");
        String qqnumber = req.getParameter("qqnumber");
        Users users = new Users();
        users.setQqnumber(qqnumber);
        users.setPhonenumber(phonenumber);
        users.setUsername(username);
        users.setUserpwd(userpwd);
        users.setUsersex(usersex);
        return users;
    }
   private  void findUser(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException{
        Users user=this.createUsers(req);
        try {
            UserManagerService userManagerService=new UserMangerServiceImpl();
            List<Users> list=userManagerService.findUser(user);
            req.setAttribute("list",list);
            req.getRequestDispatcher("usermanager/viewUser.jsp").forward(req,resp);
        }catch (Exception e){
            e.printStackTrace();
            resp.sendRedirect("error.jsp");
        }
   }
}
