package service.impl;

import dao.impl.UserLoginDao;
import dao.impl.UserLoginDaoImpl;
import exception.UserNotFoundException;
import projo.Users;
//用户登陆业务
public class UserLoginServiceImpl implements UserLoginService{
    //用户登陆
    @Override
    public Users userLogin(String username, String userpwd) {
        UserLoginDao userLoginDao=new UserLoginDaoImpl();
        Users users=userLoginDao.selectUsersByUserNameAndUserPwd(username,userpwd);
        if(users==null){
            throw  new UserNotFoundException("用户名或密码有误");
        }
        return users;
    }


}
