package web.listenner;

import commons.Constants;
import projo.Users;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

//解决Httpsession被反复销毁的问题
public class HttpSessionLifecycleListenner implements HttpSessionListener {
    @Override
    public void sessionCreated(HttpSessionEvent se) {

    }

    @Override
    public void sessionDestroyed(HttpSessionEvent se) {
        //获取servletcontext对象，然后将对应的httpsession删除
        HttpSession session=se.getSession();
        ServletContext servletContext=session.getServletContext();
        Users users=(Users)session.getAttribute(Constants.User_Session_Key);
        servletContext.removeAttribute(users.getUserid()+"");
    }
}
